Subject: RE: [Mip4] WG adoption call on draft-kulkarni-mobileip-dynamic-as signment-02.txt

From: Tsirtsis George <[email-masked]>
Date: Fri, 12 Dec 2003 11:54:22 -0500

I am suggesting two things:
 
1) Allow the HA to send a positive RREP with an optional HA redirection
extensions. This will allow a MN to change to the new HA at a time that is
convenient to it i.e.: when it is idle and thus sessions will not be
interrupted
 
2) Allow the HA to send a negative RREP with a compulsory HA redirection
extensions. This will allow an HA to offload a MN for whatever reason to
another HA (with which it may or may not share state)
 
Suggestion (1) above does not cause any session interruption and I sense
that you guys are ok with? Suggestion (2) may cause session interruption and
at least Henrik was not a big fan of this.
 
Henrik's draft, if I understand this correctly, allows HA redirection at any
time but only between HAs that *share* state.
 
The kulkarni draft also allows for HA redirection during initial
registration as it has already been stated
 
Is this making any sense? :-)
 
George

-----Original Message-----
From: Alpesh [mailto:[email-masked]]
Sent: Friday, December 12, 2003 4:26 PM
To: Tsirtsis George
Cc: 'Kent Leung'; Henrik Levkowetz; [email-masked]
Subject: Re: [Mip4] WG adoption call on draft-kulkarni-mobileip-dynamic-as
signment-02.txt

George -

Yes, but the 'redirection' was intended to happen during the initial
registration. With little extension/
expansion of interpretation of the text we can accomodate the 'in-session'
redirection/reanchoring
that you suggest. But that would break the session. Henrik's draft would
achieve reanchoring without
losing session - probably both methods can be supported?? 

Alpesh

Tsirtsis George wrote:

But the draft clearly *also* talks about redirection for the purpose of

routing optimality....mind you I think this is a good thing :-)

George

-----Original Message-----

From: Kent Leung [ mailto:[email-masked] <mailto:[email-masked]> ]

Sent: Friday, December 12, 2003 3:57 PM

To: Henrik Levkowetz

Cc: Tsirtsis George; Tsirtsis George;  [email-masked] <mailto:[email-masked]> 

Subject: Re: [Mip4] WG adoption call on

draft-kulkarni-mobileip-dynamic-as signment-02.txt

Right, the solution provided in this draft is for dynamically assigning

an HA for initial registration.  The mechanism allows the network to

choose an HA when MN request with AZOA or notify the MN the assigned

HA when MN request an administratively prohibited HA in RRQ.

Kent

At 04:40 PM 12/12/2003 +0100, Henrik Levkowetz wrote:

On Friday, 12 Dec 2003, George Tsirtsis wrote:

The discussion was, however, about redirection to an HA that does not

necessarily share any state with the current HA.

<chair hat off>

  Ok. It wasn't clear to me at first that this was what you desired,

  rather than what you thought you at best could get...

</chair hat off>

The question is whether

such redirection should only be optional or whether optional and

compulsory

redirection should be allowed....(I prefer the latter).

<chair hat on>

  From the viewpoint of the problem the dyn-assignment draft originally

  aimed to solve, only dynamic assignment at the start of a session was

  considered and seemed to make sense.

  If we are now talking about extending this to a mechanism which will

  break off a session, but include a next-ha in the RRP refusal, I think

  we need to make sure we have a constituency which needs such a thing,

  and we have to weigh the benefits against the drawbacks of having

  a re-assignment mechanism which breaks off the current session.

</chair hat on>

<chair hat off>

  If we're going to have a mechanism to refuse a re-registration with

  a pointer to another HA, I'd prefer to be able to have it both

  optional and compulsory, as you seem to prefer too. But I'm not

  quite sure if the benefits in reduced round-trips of such a solution

  outweigh the simplicity of the HA simply refusing a registration, and

  the MN subsequently trying to register a new session and at that time

  be assigned a new HA, according to the mechanism of the current draft.

  Possibly it does.

</chair hat off>

Non of this seems to me to be affecting your draft as you describe 

below but

I will wait for it to come out so I can get the full picture of what is

being proposed.

<chair hat off>

  Fair enough.

</chair hat off>

        Henrik

---

From: Alpesh <[email-masked]>
Date: Fri, 12 Dec 2003 09:15:08 -0800

George -

Oh, don't get me wrong - I totally agree with both the suggestions and 
understand them. We had been thinking
of a revision on similar sort a little before last IETF, but are holding 
for Henrik's draft to come out :)

Alpesh

Tsirtsis George wrote:

> 1) Allow the HA to send a positive RREP with an optional HA 
> redirection extensions. This will allow a MN to change to the new HA 
> at a time that is convenient to it i.e.: when it is idle and thus 
> sessions will not be interrupted
>  
> 2) Allow the HA to send a negative RREP with a compulsory HA 
> redirection extensions. This will allow an HA to offload a MN for 
> whatever reason to another HA (with which it may or may not share state)
>  
> Suggestion (1) above does not cause any session interruption and I 
> sense that you guys are ok with? Suggestion (2) may cause session 
> interruption and at least Henrik was not a big fan of this.
>  
> Henrik's draft, if I understand this correctly, allows HA redirection 
> at any time but only between HAs that *share* state.
>  
>     Yes, but the 'redirection' was intended to happen during the
>     initial registration. With little extension/
>     expansion of interpretation of the text we can accomodate the
>     'in-session' redirection/reanchoring
>     that you suggest. But that would break the session. Henrik's draft
>     would achieve reanchoring without
>>From: Kent Leung [mailto:[email-masked]]
>>Cc: Tsirtsis George; Tsirtsis George; [email-masked]

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Dec 2003 18:42:41 +0100

Hi George,

> convenient to it i.e.: when it is idle and thus sessions will not be

But if the MN is idle it doesn't send RRQ and won't get a RRP anyway,
while as soon as it needs to leave idle and sends an initial RRQ it can
be dynamically assigned a new HA, no?

> another HA (with which it may or may not share state)

Yes, but it will only let you offload it at the time of re-registration,
not at an optional time.

> at least Henrik was not a big fan of this.

I'm undecided on this one at the moment.

> time but only between HAs that *share* state.

That was the intention. But as that mechanism requires a message originated
by the HA anyway, we might open it up for both cases...